Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.io
Class WKBReader

    java.lang.Object
      com.vividsolutions.jts.io.WKBReader

    public class WKBReader

extends java.lang.Object

Reads a `Geometry`from a byte stream in Well-Known Binary format. Supports use of an `InStream`, which allows easy use with arbitrary byte stream sources.

This class reads the format describe in `WKBWriter`. It also partially handles the Extended WKB format used by PostGIS, by parsing and storing SRID values. The reader repairs structurally-invalid input (specifically, LineStrings and LinearRings which contain too few points have vertices added, and non-closed rings are closed).

This class is designed to support reuse of a single instance to read multiple geometries. This class is not thread-safe; each thread should create its own instance.

See Also:
  `for a formal format specification`

Constructor Summary
`WKBReader()`
`WKBReader(GeometryFactory geometryFactory)`

Method Summary
`static byte[]` | `hexToBytes(java.lang.String hex)` Converts a hexadecimal string to a byte array.
`Geometry` | `read(byte[] bytes)` Reads a single `Geometry` in WKB format from a byte array.
`Geometry` | `read(InStream is)` Reads a `Geometry` in binary WKB format from an `InStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WKBReader

    public WKBReader()

### WKBReader

    public WKBReader(GeometryFactory geometryFactory)

Method Detail

### hexToBytes

    public static byte[] hexToBytes(java.lang.String hex)

  Converts a hexadecimal string to a byte array. The hexadecimal digit symbols are case-insensitive.

  Parameters:
    `hex` - a string containing hex digits
  Returns:
    an array of bytes with the value of the hex string

### read

    public Geometry read(byte[] bytes)
                  throws ParseException

  Reads a single `Geometry` in WKB format from a byte array.

  Parameters:
    `bytes` - the byte array to read from
  Returns:
    the geometry read
  Throws:
    `ParseException` - if the WKB is ill-formed

### read

    public Geometry read(InStream is)
                  throws java.io.IOException,
                         ParseException

  Reads a `Geometry` in binary WKB format from an `InStream`.

  Parameters:
    `is` - the stream to read from
  Returns:
    the Geometry read
  Throws:
    `java.io.IOException` - if the underlying stream creates an error
    `ParseException` - if the WKB is ill-formed

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD